basement-0.0.4: Foundation scrap box of array & string

Safe Haskell | None
Language | Haskell2010

Basement.Terminal

Synopsis

- initialize :: IO ()
- getDimensions :: IO (CountOf Char, CountOf Char)

# Documentation

initialize :: IO () Source #

getDimensions :: IO (CountOf Char, CountOf Char) Source #

Return the size of the current terminal

If the system is not supported or that querying the system result in an error then a default size of (80, 24) will be given back.